package com.example.generator;

public class Data {
    private String base64;
    private int numPos;

    private String colorP= "Orange";
    private String colorS = "Green";

    private String eventn1;
    private String eventn2;
    private String eventn3;
    private String eventn4;

    private String eventa1;
    private String eventa2;
    private String eventa3;
    private String eventa4;

    private String ScoreOb1;
    private String ScoreOb2;
    private String ScoreOb3;
    private String ScoreOb4;
    private String ScoreOb5;
    private String ScoreOb6;
    private String ScoreOb7;
    private String ScoreOb8;
    private String ScoreOb9;
    private String NumScoreOb = "0";

    public String getBase64() {
        return base64;
    }

    public void setBase64(String base64) {
        this.base64 = base64;
    }

    public void setNumPos(int numPos) {
        this.numPos = Math.max(0, numPos);
    }

    public int getNumPos() {
        return Math.max(0, numPos);
    }

    public String getColorP() {
        return colorP;
    }

    public void setColorP(String colorP) {
        this.colorP = colorP;
    }

    public String getColorS() {
        return colorS;
    }

    public void setColorS(String colorS) {
        this.colorS = colorS;
    }

    public String getEventn1() {
        return eventn1;
    }

    public void setEventn1(String eventn1) {
        this.eventn1 = eventn1;
    }

    public String getEventa1() {
        return eventa1;
    }

    public void setEventa1(String eventa1) {
        this.eventa1 = eventa1;
    }

    public String getEventn2() {
        return eventn2;
    }

    public void setEventn2(String eventn2) {
        this.eventn2 = eventn2;
    }

    public String getEventa2() {
        return eventa2;
    }

    public void setEventa2(String eventa2) {
        this.eventa2 = eventa2;
    }

    public String getEventn3() {
        return eventn3;
    }

    public void setEventn3(String eventn3) {
        this.eventn3 = eventn3;
    }

    public String getEventa3() {
        return eventa3;
    }


    public void setEventa3(String eventa3) {
        this.eventa3 = eventa3;
    }

    public String getEventn4() {
        return eventn4;
    }


    public void setEventn4(String eventn4) {
        this.eventn4 = eventn4;
    }

    public String getEventa4() {
        return eventa4;
    }

    public void setEventa4(String eventa4) {
        this.eventa4 = eventa4;
    }
    public void setNumScoreOb(String NumScoreOb) {
        this.NumScoreOb = NumScoreOb;
    }

    public String getNumScoreOb() {
        return NumScoreOb;
    }

    public void setScoreOb1(String ScoreOb1) {
        this.ScoreOb1 = ScoreOb1;
    }

    public String getScoreOb1() {
        return ScoreOb1;
    }

    public void setScoreOb2(String ScoreOb2) {
        this.ScoreOb2 = ScoreOb2;
    }

    public String getScoreOb2() {
        return ScoreOb2;
    }

    public void setScoreOb3(String ScoreOb3) {
        this.ScoreOb3 = ScoreOb3;
    }

    public String getScoreOb3() {
        return ScoreOb3;
    }

    public void setScoreOb4(String ScoreOb4) {
        this.ScoreOb4 = ScoreOb4;
    }

    public String getScoreOb4() {
        return ScoreOb4;
    }

    public void setScoreOb5(String ScoreOb5) {this.ScoreOb5 = ScoreOb5;
    }

    public String getScoreOb5() {
        return ScoreOb5;
    }

    public void setScoreOb6(String ScoreOb6) {
        this.ScoreOb6 = ScoreOb6;
    }

    public String getScoreOb6() {
        return ScoreOb6;
    }

    public void setScoreOb7(String ScoreOb7) {this.ScoreOb7 = ScoreOb7;
    }

    public String getScoreOb7() {
        return ScoreOb7;
    }

    public void setScoreOb8(String ScoreOb8) {this.ScoreOb8 = ScoreOb8;
    }

    public String getScoreOb8() {
        return ScoreOb8;
    }

    public void setScoreOb9(String ScoreOb9) {this.ScoreOb9 = ScoreOb9;
    }

    public String getScoreOb9() {
        return ScoreOb9;
    }
}